use super::*;

pub async fn on_get_collect_map(
    _session: &NetSession,
    _player: &mut Player,
    _req: GetCollectMapCsReq,
) -> NetResult<GetCollectMapScRsp> {
    Ok(GetCollectMapScRsp {
        retcode: Retcode::RetSucc.into(),
        collect_map: Some(CollectMap::default()),
    })
}

pub async fn on_get_workbench_info(
    _session: &NetSession,
    _player: &mut Player,
    _req: GetWorkbenchInfoCsReq,
) -> NetResult<GetWorkbenchInfoScRsp> {
    Ok(GetWorkbenchInfoScRsp {
        retcode: Retcode::RetSucc.into(),
        workbench_info: Some(WorkbenchInfo::default()),
    })
}

pub async fn on_get_abyss_reward_data(
    _session: &NetSession,
    _player: &mut Player,
    _req: GetAbyssRewardDataCsReq,
) -> NetResult<GetAbyssRewardDataScRsp> {
    Ok(GetAbyssRewardDataScRsp {
        retcode: Retcode::RetSucc.into(),
        abyss_reward_data: Some(AbyssRewardData::default()),
    })
}
